Subject: bug#354: "Added (how many lines, bytes?!) to file.txt"

From: Paul Eggert <[email-masked]>
Date: Sun, 2 Apr 2017 11:44:34 -0700

On 04/02/2017 11:40 AM, [email-masked] wrote:
> I'm not sure what you
> mean about "idiomatic English" as both versions produce the same text.

The old version says "Added to FOO" whereas the new says "Added N 
characters of `FOO'". The "to" is more idiomatic than the "of".

Part of the idea is to make Emacs more translatable in the future, if we 
should ever get around to doing that. It's typically easier to translate 
three English-language format strings that talk about three different 
things, than to try to translate three-way Lisp code that assumes 
English grammar when constructing a single format string. Admittedly 
Emacs often uses tricky code like this elsewhere; still, it's better to 
avoid adding more such tricks.